org.apache.felix.bundlerepository.impl

## Class LocalResourceImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.ResourceImpl
  - - org.apache.felix.bundlerepository.impl.LocalResourceImpl

All Implemented Interfaces:
  LocalResource, Resource, org.osgi.framework.BundleReference

    public class LocalResourceImpl
    extends ResourceImpl
    implements LocalResource

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Resource

`CATEGORY, COPYRIGHT, DESCRIPTION, DOCUMENTATION_URI, ID, JAVADOC_URI, LICENSE_URI, MANIFEST_VERSION, PRESENTATION_NAME, SIZE, SOURCE_URI, SYMBOLIC_NAME, URI, VERSION`

### Method Summary

Methods
`org.osgi.framework.Bundle` `getBundle()`
`boolean` `isLocal()` Returns whether this resource is a local one or not.
`java.lang.String` `toString()`

### Methods inherited from class org.apache.felix.bundlerepository.impl.ResourceImpl

`addCapability, addCategory, addRequire, equals, getCapabilities, getCategories, getId, getPresentationName, getProperties, getRepository, getRequirements, getSize, getSymbolicName, getURI, getVersion, hashCode, put, put, setRepository`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.felix.bundlerepository.Resource

`getCapabilities, getCategories, getId, getPresentationName, getProperties, getRequirements, getSize, getSymbolicName, getURI, getVersion`

### Method Detail

#### isLocal

    public boolean isLocal()

Description copied from interface: `Resource`
Returns whether this resource is a local one or not. Local resources are already available in the OSGi framework and thus will be preferred over other resources.

Specified by:
  `isLocal` in interface `Resource`
Overrides:
  `isLocal` in class `ResourceImpl`

#### getBundle

    public org.osgi.framework.Bundle getBundle()

Specified by:
  `getBundle` in interface `org.osgi.framework.BundleReference`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ResourceImpl`